org.postgresql

## Interface PGResultSetMetaData

    public interface PGResultSetMetaData

### Method Summary

Methods
`java.lang.String` `getBaseColumnName(int column)` Returns the underlying column name of a query result, or "" if it is unable to be determined.
`java.lang.String` `getBaseSchemaName(int column)` Returns the underlying table name of query result, or "" if it is unable to be determined.
`java.lang.String` `getBaseTableName(int column)` Returns the underlying table name of query result, or "" if it is unable to be determined.
`int` `getFormat(int column)` Is a column Text or Binary?

### Method Detail

#### getBaseColumnName

    java.lang.String getBaseColumnName(int column)
                                       throws java.sql.SQLException

Returns the underlying column name of a query result, or "" if it is unable to be determined.

Throws:
  `java.sql.SQLException`
Since:
  8.0

#### getBaseTableName

    java.lang.String getBaseTableName(int column)
                                      throws java.sql.SQLException

Returns the underlying table name of query result, or "" if it is unable to be determined.

Throws:
  `java.sql.SQLException`
Since:
  8.0

#### getBaseSchemaName

    java.lang.String getBaseSchemaName(int column)
                                       throws java.sql.SQLException

Returns the underlying table name of query result, or "" if it is unable to be determined.

Throws:
  `java.sql.SQLException`
Since:
  8.0

#### getFormat

    int getFormat(int column)
                  throws java.sql.SQLException

Is a column Text or Binary?

Throws:
  `java.sql.SQLException`
Since:
  9.4
See Also:
  `Field.BINARY_FORMAT`, `Field.TEXT_FORMAT`